<template>
  <div class="box" id="map_box">
    <!-- 地球图层 -->
    <sdk-container></sdk-container>
    <!-- 右侧工具条 -->
    <menustrip ref="child"></menustrip>
    <div v-if="this.$store.state.showBinding" class="modelbindBox">
      <modelbindingList></modelbindingList>
    </div>
    <div v-if="this.$store.state.showBindInfo" class="modelbindBox">
      <modelbinding @closeLyr="lyrCloseData"></modelbinding>
    </div>
    <div v-if="showAddEntityMessage" class="showMassage" v-draw>
      <div class="lyrCtrl-header">
        <i class="el-icon-menu"></i>
        属性信息
        <div style="float: right; cursor: pointer" @click="addCanel">
          <i class="el-icon-close"></i>
        </div>
      </div>
      <div style="padding: 1%">
        <el-form ref="form" :model="fromAddEntity" label-width="80px">
          <el-form-item label="ID">
            <el-input v-model="fromAddEntity.id"></el-input>
          </el-form-item>
          <el-form-item label="名称">
            <el-input v-model="fromAddEntity.name"></el-input>
          </el-form-item>
          <el-form-item
            label="类型"
            v-if="AddEntityMessageType.type == 'Point'"
          >
            <el-radio-group v-model="fromAddEntity.type">
              <el-radio label="7">巡检点</el-radio>
              <el-radio label="3">门禁</el-radio>
              <el-radio label="12">集结点</el-radio>
              <el-radio label="4">视频监控点</el-radio>
              <el-radio label="6">危险源</el-radio>
              <el-radio label="17">报警监控点</el-radio>
              <el-radio label="11">应急物资</el-radio>
              <el-radio label="19">有毒有害气体检测</el-radio>
              <!-- <el-radio label="20">消防设备</el-radio> -->
            </el-radio-group>
          </el-form-item>
          <el-form-item
            label="类型"
            v-else-if="AddEntityMessageType.type == 'Polygon'"
          >
            <el-radio-group v-model="fromAddEntity.type">
              <el-radio label="operation_area">作业区</el-radio>
              <el-radio label="production_unit_area">功能区</el-radio>
              <el-radio label="production_area">厂区</el-radio>
            </el-radio-group>
          </el-form-item>
          <el-form-item
            label="机构编码"
            v-if="AddEntityMessageType.type == 'Point'"
          >
            <el-input v-model="fromAddEntity.code"></el-input>
          </el-form-item>
          <el-form-item
            label="高程值"
            v-if="AddEntityMessageType.type == 'Point'"
          >
            <el-input v-model="fromAddEntity.coor"></el-input>
          </el-form-item>
          <el-form-item label="视频地址1" v-if="fromAddEntity.type == '4'">
            <el-input v-model="fromAddEntity.url1"></el-input>
          </el-form-item>
          <el-form-item label="视频地址2" v-if="fromAddEntity.type == '4'">
            <el-input v-model="fromAddEntity.url2"></el-input>
          </el-form-item>
          <el-form-item>
            <button @click="addSubmit" class="btnTest">确认</button>
            <button @click="addCanel" class="btnTest">取消</button>
          </el-form-item>
        </el-form>
      </div>
    </div>
    <div v-if="showUpdateEntityMessage" class="showMassage" v-draw>
      <div class="lyrCtrl-header">
        <i class="el-icon-menu"></i>
        属性信息
        <div style="float: right; cursor: pointer" @click="updateCanel">
          <i class="el-icon-close"></i>
        </div>
      </div>
      <div style="padding: 1%">
        <el-form
          ref="form"
          :model="fromupdateEntity"
          :inline="true"
          label-width="80px"
        >
          <el-form-item label="点位ID">
            <el-input v-model="fromupdateEntity.id"></el-input>
          </el-form-item>
          <el-form-item label="点位名称">
            <el-input v-model="fromupdateEntity.name"></el-input>
          </el-form-item>

          <el-form-item label="机构编码">
            <el-input v-model="fromupdateEntity.code"></el-input>
          </el-form-item>
          <el-form-item label="高程值">
            <el-input v-model="fromupdateEntity.coor"></el-input>
          </el-form-item>
          <el-form-item label="视频链接" v-if="fromupdateEntity.type == '4'">
            <el-input v-model="fromupdateEntity.url1"></el-input>
          </el-form-item>
          <el-form-item label="视频链接" v-if="fromupdateEntity.type == '4'">
            <el-input v-model="fromupdateEntity.url2"></el-input>
          </el-form-item>
          <el-form-item label="位置">
            <span>{{ fromupdateEntity.lon }} ，</span>
            <span>{{ fromupdateEntity.lat }} </span>
            <a @click="changePOI">修改</a>
          </el-form-item>
          <el-form-item>
            <div
              class="elbuttonBox"
              style="
                width: 200px;
                display: flex;
                justify-content: space-between;
                margin-left: 80px;
              "
            >
              <button class="btnTest" @click="updateSubmit">提交</button>
              <button class="btnTest" @click="updateCanel">取消</button>
            </div>
          </el-form-item>
        </el-form>
      </div>
    </div>
    <!-- 更新面 -->
    <div v-if="showUpdatePolygon" class="showMassage" v-draw>
      <div class="lyrCtrl-header">
        <i class="el-icon-menu"></i>
        属性信息
        <div style="float: right; cursor: pointer" @click="closeUpdatePolygon">
          <i class="el-icon-close"></i>
        </div>
      </div>
      <div style="padding: 1%">
        <el-form
          ref="form"
          :model="fromupdateEntity"
          :inline="true"
          label-width="80px"
        >
          <el-form-item label="ID">
            <el-input v-model="updataArea.id"></el-input>
          </el-form-item>
          <el-form-item label="名称">
            <el-input v-model="updataArea.name"></el-input>
          </el-form-item>
          <el-form-item label="高程值">
            <el-input v-model="updataArea.coor"></el-input>
          </el-form-item>
          <el-form-item label="位置">
            <a @click="changeArea">修改</a>
          </el-form-item>
          <el-form-item>
            <button class="btnTest" @click="updatePolygonSubmit">提交</button>
            <button class="btnTest" @click="closeUpdatePolygon">取消</button>
          </el-form-item>
        </el-form>
      </div>
    </div>
  </div>
</template>
<script>
import { updatePoint, updatePolygon } from "../../api/api";

import { mapState } from "vuex";
import sdkContainer from "./modules/mapView.vue";
import menustrip from "./modules/menustrip.vue";
import modelbinding from "./modules/modelBinding";
import modelbindingList from "./modules/modelBindingList";
import $ from "jquery";
// import layerControl from "./modules/layerControl.vue";
let handler;
let itemLabel;
export default {
  components: {
    sdkContainer,
    menustrip,
    modelbinding,
    modelbindingList,
    // layerControl,
  },
  data() {
    return {
      showUpdatePolygon: false,
      showAddEntityMessage: false,
      AddEntityMessageType: null,
      showUpdateEntityMessage: false,
      ShowLyr: true,
      fromAddEntity: {
        id: "",
        name: "",
        type: "",
        code: "",
        coor: "",
        url1: "",
        url2: "",
      },
      fromupdateEntity: {
        ObjectId: "",
        id: "",
        name: "",
        type: "",
        code: "",
        coor: "",
        url1: "",
        url2: "",
        lon: "",
        lat: "",
      },

      updataArea: {
        type: "",
        gid: "", //真实id
        id: "",
        name: "",
        coor: "",
        poi: [],
        position: [],
      },
      // form: {
      //   name: "",
      //   region: "",
      //   date1: "",
      //   date2: "",
      //   delivery: false,
      //   type: [],
      //   resource: "",
      //   desc: "",
      // },
      updateEntity: "",
    };
  },
  mounted() {
    this.$bus.$on("setAddEntity", (res) => {
      this.AddEntityMessageType = res;
      if (res.type == "Point") {
        if (res.data !== {}) {
          this.fromAddEntity.id = res.data.point_id;
          this.fromAddEntity.name = res.data.point_name;
          this.fromAddEntity.code = res.data.org_code;
          this.fromAddEntity.coor = res.data.coor_z;
          this.fromAddEntity.type = res.data.point_type;
          if (res.data.point_type == "4") {
            this.fromAddEntity.url1 = res.data.url_1;
            this.fromAddEntity.url2 = res.data.url_2;
          }
        }
      } else if (res.type == "Polygon") {
        if (res.data !== {}) {
          this.fromAddEntity.id = res.data.polygon_id;
          this.fromAddEntity.name = res.data.polygon_name;
          this.fromAddEntity.type = res.data.polygon_type;
        }
      }
      this.showAddEntityMessage = true;
    });
    this.$bus.$on("setUpdateEntity", (res) => {
      if (res.id.polygon != undefined) {
        if (res.id.properties.ope_id) {
          this.updataArea.type = "operation";
          this.updataArea.id = res.id.properties.ope_id._value;
          this.updataArea.name = res.id.properties.ope_name._value;
        } else if (res.id.properties.unit_id) {
          this.updataArea.type = "production_unit";
          this.updataArea.id = res.id.properties.unit_id._value;
          this.updataArea.name = res.id.properties.unit_name._value;
        } else if (res.id.properties.pro_id) {
          this.updataArea.type = "production";
          this.updataArea.id = res.id.properties.pro_id._value;
          this.updataArea.name = res.id.properties.pro_name._value;
        }
        this.updataArea.gid = res.id.id;
        this.updataArea.coor = res.id.properties.coor_z._value;
        this.updataArea.poi = res.id.polygon.hierarchy._value.positions;
        //和修改过的poi对比
        this.updataArea.position = res.id.polygon.hierarchy._value.positions;
        // console.log(this.updataArea);
        this.updatePolygonEntity(res);
        this.showUpdatePolygon = true;
      } else if (res.id.geometryType == "point") {
        this.updatePointEntity(res);
        this.showUpdateEntityMessage = true;
      }
    });
  },
  methods: {
    changeArea() {
      sgworld.Creator.SimpleGraphic.edit(true, { editProp: false });
    },
    updatePolygonEntity(result) {
      // console.log(result);
      var val_result = sgworld.Viewer.entities._entities._array;
      this.updateEntity = "面修改对象";
      sgworld.Viewer.entities.add(result.id);
      sgworld.Creator.SimpleGraphic.SimpleGraphicObj.push(result.id.id);
      // this.showEdit();
    },
    //确定更新面
    updatePolygonSubmit() {
      //如果修改过区域，用修改过的经纬度
      var val_result = sgworld.Viewer.entities._entities._array;
      for (var i = 0; i < val_result.length; i++) {
        if (val_result[i].id == this.updataArea.gid) {
          if (val_result[i].pottingPoint) {
            this.updataArea.poi = val_result[i].pottingPoint;
          }
        }
      }
      if (
        this.updataArea.poi.toString() !== this.updataArea.position.toString()
      ) {
        this.updataArea.poi.push(this.updataArea.poi[0]);
      }
      let res = [];
      this.updataArea.poi.forEach((item) => {
        let cartographic =
          window.Viewer.scene.globe.ellipsoid.cartesianToCartographic(item);
        let lng = Cesium.Math.toDegrees(cartographic.longitude);
        let lat = Cesium.Math.toDegrees(cartographic.latitude);
        res.push(lng + " " + lat);
      });
      let result = res.join(",");
      var feature = new Object();
      feature.attributes = new Object();
      let layerNum;
      switch (this.updataArea.type) {
        case "operation":
          layerNum = "11";
          feature.attributes["ope_id"] = this.updataArea.id;
          feature.attributes["ope_name"] = this.updataArea.name;
          break;
        case "production_unit":
          layerNum = "12";
          feature.attributes["unit_id"] = this.updataArea.id;
          feature.attributes["unit_name"] = this.updataArea.name;
          break;
        case "production":
          layerNum = "13";
          feature.attributes["pro_id"] = this.updataArea.id;
          feature.attributes["pro_name"] = this.updataArea.name;
          break;
      }
      feature.attributes["objectId"] = this.updataArea.gid;
      feature.attributes["coor_z"] = this.updataArea.coor;
      var arr = new Array();
      arr.push(feature);
      var featuresed = JSON.stringify(arr);
      // console.log(featuresed);
      // console.log(layerNum);

      let params = {
        geom: `POLYGON((${result}))`,
        gid: this.updataArea.gid,
        table_name: this.updataArea.type,
      };
      // console.log(params);
      updatePolygon(params).then((res) => {
        // console.log(res.data);
        this.$message({
          type: "success",
          message: "位置更新成功!",
        });
      });

      $.ajax({
        type: "post",
        url:
          BASE_URL +
          "/rest/services/fssh_map_wfs/FeatureServer/" +
          layerNum +
          "/updateFeatures",
        async: false,
        data: {
          features: featuresed,
        },
        dataType: "json",
        success: (data) => {
          this.$message({
            type: "success",
            message: "属性更新成功!",
          });
          // window.location.reload();
        },
        error: function (e) {},
      });
      this.closeUpdatePolygon();
    },
    //关闭更新面界面
    closeUpdatePolygon() {
      this.$refs.child.closeUpdata();
      var val_result = sgworld.Viewer.entities._entities._array;
      for (var i = 0; i < val_result.length; i++) {
        if (val_result[i].id == this.updataArea.gid) {
          sgworld.Viewer.entities.remove(val_result[i]);
        }
      }
      this.showUpdatePolygon = false;
      this.updataArea.type = "";
      this.updataArea.gid = "";
      this.updataArea.id = "";
      this.updataArea.name = "";
      this.updataArea.coor = "";
      this.updataArea.poi = [];
      this.updataArea.position = [];
    },
    showEdit() {
      sgworld.Creator.SimpleGraphic.edit(true, { editProp: false });
    },
    delEdit() {
      sgworld.Creator.SimpleGraphic.clear();
    },
    //更新点
    updatePointEntity(result) {
      let res = result.id.fid.split(".");
      this.fromupdateEntity.ObjectId = res[1];
      this.fromupdateEntity.id = result.id.attributes.point_id;
      this.fromupdateEntity.name = result.id.attributes.point_name;
      this.fromupdateEntity.type = result.id.attributes.point_type;
      this.fromupdateEntity.code = result.id.attributes.org_code;
      this.fromupdateEntity.coor = result.id.attributes.coor_z;
      this.fromupdateEntity.url1 = result.id.attributes.url_1;
      this.fromupdateEntity.url2 = result.id.attributes.url_2;
      this.fromupdateEntity.lon = parseFloat(result.id.positions[0]);
      this.fromupdateEntity.lat = parseFloat(result.id.positions[1]);
    },
    changePOI() {
      this.$confirm("是否修改经纬度, 是否继续?", "提示", {
        confirmButtonText: "确定",
        cancelButtonText: "取消",
        type: "warning",
      })
        .then(() => {
          handler = new Cesium.ScreenSpaceEventHandler(
            sgworld.Viewer.scene.canvas
          );
          handler.setInputAction((movement) => {
            var position = sgworld.Viewer.scene.camera.pickEllipsoid(
              movement.position,
              sgworld.Viewer.scene.globe.ellipsoid
            );
            var cartographic = Cesium.Cartographic.fromCartesian(position);
            let lng = Cesium.Math.toDegrees(cartographic.longitude);
            let lat = Cesium.Math.toDegrees(cartographic.latitude);
            if (itemLabel) {
              sgworld.Creator.DeleteObject(itemLabel);
            }
            itemLabel = sgworld.Creator.CreateImageLabel(
              { X: lng, Y: lat },
              // imgUrl,
              SmartEarthRootUrl + "Workers/image/point.png",
              {},
              0,
              ""
            );
            this.fromupdateEntity.lon = lng;
            this.fromupdateEntity.lat = lat;
          }, Cesium.ScreenSpaceEventType.LEFT_CLICK);
        })
        .catch(() => {
          this.$message({
            type: "info",
            message: "已取消",
          });
        });
      // 点击地图打印坐标
    },
    updateSubmit() {
      if (true) {
        if (itemLabel) {
          sgworld.Creator.DeleteObject(itemLabel);
        }
        handler && handler.destroy();
        this.showUpdateEntityMessage = false;
        var feature = new Object();
        feature.attributes = new Object();
        feature.attributes["objectId"] = this.fromupdateEntity.ObjectId;
        feature.attributes["point_id"] = this.fromupdateEntity.id;
        feature.attributes["org_code"] = this.fromupdateEntity.code;
        feature.attributes["point_name"] = this.fromupdateEntity.name;
        feature.attributes["coor_z"] = this.fromupdateEntity.coor;
        if (this.fromupdateEntity.type == "4") {
          feature.attributes["url_1"] = this.fromupdateEntity.url1;
          feature.attributes["url_2"] = this.fromupdateEntity.url2;
        }
        var arr = new Array();
        arr.push(feature);
        var featuresed = JSON.stringify(arr);
        // console.log(featuresed);
        //向哪个表更新
        let layerNum = this.judgeType(this.fromupdateEntity.type);

        let lon = this.fromupdateEntity.lon;
        let lat = this.fromupdateEntity.lat;
        let gid = this.fromupdateEntity.ObjectId;
        let table_name;
        // console.log(this.fromupdateEntity.type);
        switch (this.fromupdateEntity.type) {
          case "4":
            table_name = "camera";
            break;
          case "7":
            table_name = "inspection";
            break;
          case "17":
            table_name = "alarm";
            break;
          case "6":
            table_name = "major_hazards_point"; //危险源
            break;
          case "3":
            table_name = "entrance_guard_point"; //门禁
            break;
          case "11":
            table_name = "emergency_supplies_point"; //应急物资
            break;
          case "12":
            table_name = "evacuation_point"; //集结点
            break;
          case "19":
            table_name = "toxic_gas_point"; //有毒有害气体检测
            break;
          case "20":
            table_name = "fire_equipment_point"; //消防
            break;
        }

        updatePoint(lon, lat, gid, table_name).then((res) => {
          // console.log(res);
          this.$message({
            type: "success",
            message: "位置更新成功!",
          });
        });
        $.ajax({
          type: "post",
          url:
            BASE_URL +
            "/rest/services/fssh_map_wfs/FeatureServer/" +
            layerNum +
            "/updateFeatures",
          async: false,
          data: {
            features: featuresed,
          },
          dataType: "json",
          success: (data) => {
            this.$message({
              type: "success",
              message: "属性更新成功!",
            });
            // window.location.reload();
          },
          error: function (e) {},
        });
      }
      this.updateCanel();
    },
    updateCanel() {
      if (itemLabel) {
        sgworld.Creator.DeleteObject(itemLabel);
      }
      handler && handler.destroy();
      this.showUpdateEntityMessage = false;

      // var val_result = sgworld.Viewer.entities._entities._array;
      // console.log(val_result);
      // for (var i = 0; i < val_result.length; i++) {
      //   if (val_result[i].id == "Test_id") {
      //     sgworld.Viewer.entities.remove(val_result[i]);
      //   }
      // }
      // this.delEdit();
    },

    addSubmit() {
      //获取点坐标
      var position = [];
      this.showAddEntityMessage = false;
      var value = this.AddEntityMessageType.position;
      var ellipsoid = Viewer.scene.globe.ellipsoid;
      for (var i in value) {
        var cartographic = ellipsoid.cartesianToCartographic(value[i]);
        var lat = Cesium.Math.toDegrees(cartographic.latitude);
        var lng = Cesium.Math.toDegrees(cartographic.longitude);
        var height = parseFloat(cartographic.height).toFixed(2); //模型高度
        position.push([lng, lat, 0]);
      }
      var value = this.AddEntityMessageType.Entities;
      for (var i in value) {
        sgworld.Viewer.entities.remove(value[i]);
      }
      //1.添加的是面
      if (this.AddEntityMessageType.type == "Polygon") {
        if (position[0] != position[position.length - 1]) {
          position.push(position[0]);
        }
        var feature = new Object();
        feature.geometry = new Object();
        var rings = new Array();
        rings.push(position);
        feature.geometry.rings = rings;
        feature.attributes = new Object();
        let layerNum = this.judgeType(this.fromAddEntity.type);
        switch (layerNum) {
          case "11":
            feature.attributes["ope_id"] = this.fromAddEntity.id;
            feature.attributes["ope_name"] = this.fromAddEntity.name;
            break;
          case "12":
            feature.attributes["unit_id"] = this.fromAddEntity.id;
            feature.attributes["unit_name"] = this.fromAddEntity.name;
            break;
          case "13":
            feature.attributes["pro_id"] = this.fromAddEntity.id;
            feature.attributes["pro_name"] = this.fromAddEntity.name;
            break;
        }
        feature.attributes["org_code"] = this.fromAddEntity.code;
        // feature.attributes["coor_z"] = this.fromAddEntity.coor;
        var arr = new Array();
        arr.push(feature);
        var featuresed = JSON.stringify(arr);
        $.ajax({
          type: "post",
          url:
            BASE_URL +
            "/rest/services/fssh_map_wfs/FeatureServer/" +
            layerNum +
            "/addFeatures",
          async: false,
          data: {
            features: featuresed,
          },
          dataType: "json",
          success: function (data) {
            alert("添加成功");
          },
          error: function (e) {
            alert("添加失败");
          },
        });
      }
      //2.添加的是点
      else if (this.AddEntityMessageType.type == "Point") {
        var feature = new Object();
        feature.geometry = new Object();
        feature.geometry.x = position[0][0];
        feature.geometry.y = position[0][1];
        feature.attributes = new Object();
        feature.attributes["point_id"] = this.fromAddEntity.id;
        feature.attributes["point_type"] = this.fromAddEntity.type;
        feature.attributes["org_code"] = this.fromAddEntity.code;
        feature.attributes["point_name"] = this.fromAddEntity.name;
        feature.attributes["coor_z"] = this.fromAddEntity.coor;
        if (this.fromAddEntity.type == "4") {
          feature.attributes["url_1"] = this.fromAddEntity.url1;
          feature.attributes["url_2"] = this.fromAddEntity.url2;
        }

        var arr = new Array();
        arr.push(feature);
        var featuresed = JSON.stringify(arr);
        let layerNum = this.judgeType(this.fromAddEntity.type);
        debugger;
        console.log(featuresed);
        // $.ajax({
        //   type: "post",
        //   url:
        //     BASE_URL +
        //     "/rest/services/fssh_map_wfs/FeatureServer/" +
        //     layerNum +
        //     "/addFeatures",
        //   async: false,
        //   data: {
        //     features: featuresed,
        //   },
        //   dataType: "json",
        //   success: function (data) {
        //     alert("添加成功");
        //     // window.location.reload();
        //   },
        //   error: function (e) {
        //     alert("添加失败");
        //   },
        // });
      }
      // this.addCanel();
    },
    addCanel() {
      this.showAddEntityMessage = false;
      this.fromAddEntity.id = "";
      this.fromAddEntity.name = "";
      this.fromAddEntity.type = "";
      this.fromAddEntity.code = "";
      this.fromAddEntity.coor = "";
      this.fromAddEntity.url1 = "";
      this.fromAddEntity.url2 = "";
      this.delEdit();
      var value = this.AddEntityMessageType.Entities;
      for (var i in value) {
        sgworld.Viewer.entities.remove(value[i]);
      }
    },
    lyrCloseData(e) {
      this.ShowLyr = e;
    },
    judgeType(data) {
      switch (data) {
        case "4": //视频
          return "1";
        case "17": //报警
          return "2";
        case "19": //毒气
          return "3";
        case "7": //巡检
          return "4"; //图层编号4，point_type:7
        case "11":
          return "5"; //应急物资
        case "6":
          return "6"; //危险源
        case "3":
          return "7"; //门禁
        case "12":
          return "8"; //集结点
        case "operation_area":
          return "11"; //图层编号11，无point_type
        case "production_unit_area":
          return "12";
        case "production_area":
          return "13";
        case "20":
          return "14"; //消防
      }
    },
  },
  computed: {
    ...mapState({}),
  },
};
</script>
<style lang="less" scoped>
.box {
  height: 100%;
  position: relative;
  #sdkContainer {
    position: absolute;
    top: 0;
    left: 0;
    z-index: 0;
  }
  .showMassage {
    z-index: 999999;
    background: rgba(255, 255, 255, 0.8);
    flex-direction: column;
    justify-content: space-around;
    border: 1px solid #fff;
    position: absolute;
    top: 30%;
    left: 30%;
    width: 420px;
    min-width: 420px;
    overflow: hidden;
    .el-input {
      width: 300px;
    }
    .el-radio-group {
      overflow: hidden;
      width: 100%;
      .el-radio {
        width: 150px;
        margin-right: 15px;
      }
    }
  }
  .modelbindBox {
    position: absolute;
    left: 18%;
    top: 12%;
  }
  .lyrCtrl-header {
    font-weight: 600;
    font-size: 16px;
    padding: 10px;
    background: rgba(0, 0, 0, 0.7);
    color: rgb(232, 232, 232);
  }
  .el-tree-node .is-current > .el-tree-node__content {
    background-color: rgba(52, 55, 63, 0.6) !important;
  }
  .el-tree-node:focus > .el-tree-node__content {
    background-color: rgba(52, 55, 63, 0.6) !important;
  }
  .el-tree-node__content {
    &:hover {
      // background: #89c2f7;
      background: rgba(28, 32, 42, 0.6);
    }
  }
  .btnTest {
    -webkit-border-radius: 30;
    -moz-border-radius: 30;
    border-radius: 30px;
    font-family: Courier New;
    color: black;
    font-size: 13px;
    background: #ebf2f7;
    padding: 7px 12px 7px 12px;
    border: solid #c4cacd 2px;
    text-decoration: none;
    margin-left: 30px;
  }

  .btnTest:hover {
    background: #3cb0fd;
    background-image: -webkit-linear-gradient(top, #3cb0fd, #3498db);
    background-image: -moz-linear-gradient(top, #3cb0fd, #3498db);
    background-image: -ms-linear-gradient(top, #3cb0fd, #3498db);
    background-image: -o-linear-gradient(top, #3cb0fd, #3498db);
    background-image: linear-gradient(to bottom, #3cb0fd, #3498db);
    text-decoration: none;
  }
}
</style>
